<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Field.php 4568 2006-04-04 12:40:13Z roh@m3.net $
*/

require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/lib/max/DateRange.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/ZoneScope.php';

/**
 * Abstract data field object, used to supply reports with parameters.
 *
 * Always use the factory method to instantiate fields -- it will create
 * the right subclass for you.
 *
 * @abstract
 */
class Field
{
    var $tabindex;
    var $tabkeeper;

    /**
     * Return a single value based on a $_GET-style array of values
     *
     */
    function getPassableValueFromQueryArray($values, $base_key)
    {
        return $values[$base_key];
    }

    /**
     * Echo HTML representing the appropriate field type
     *
     * @abstract
     */
    function display($fields, $key)
    {
        MAX::raiseError('Programmer failure: "displayField" is an abstract method, and must be over-riden.', MAX_ERROR_NOMETHOD);
    }

    function _displayFieldHeader($title)
    {
        echo "<tr><td width='30'>&nbsp;</td>";
        echo "<td width='200'>".$title."</td>";
        echo "<td width='370'>";
    }

    function _displayFieldFooter()
    {
        echo "</td>";
        echo "</tr>";
        echo "<tr><td width='30'><img src='images/spacer.gif' height='1' width='100%'></td>";
        echo "<td colspan='2'><img src='images/break-l.gif' height='1' width='200' vspace='6'></td></tr>";
    }
    
    /*
     * Provides a compatible interface with lib/max/Admin/UI/Field fields. 
     */
    function setValue($value)
    {        
    }
}

?>
