<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: ScopeSelectionField.php 4568 2006-04-04 12:40:13Z roh@m3.net $
*/

require_once MAX_PATH . '/lib/max/Admin/UI/Field.php';
require_once MAX_PATH . '/lib/max/Admin/UI/OrganisationScope.php';
require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/www/admin/lib-permissions.inc.php';

class Admin_UI_OrganisationSelectionField extends Admin_UI_Field
{
    /**
     * PHP5-style constructor
     *
     * @param array $aFieldSelectionNames A list of the predefined 'friendly' selections.
     * @param string $fieldSelectionDefault The default selection.
     */
    function __construct($name = 'OrganisationSelectionField', $defaultAdvertiser = 'all', $defaultPublisher = 'all')
    {
        $this->_name = $name;
        $oScope = new Admin_UI_OrganisationScope();
        $oScope->setAdvertiserId($defaultAdvertiser);
        $oScope->setPublisherId($defaultPublisher);
        $this->_value = $oScope;
    }
    /**
     * PHP4-style constructor
     *
     * @param array $aFieldSelectionNames A list of the predefined 'friendly' selections.
     * @param string $fieldSelectionDefault The default selection.
     */
    function Admin_UI_OrganisationSelectionField($name = 'OrganisationSelectionField', $defaultAdvertiser = 'all', $defaultPublisher = 'all')
    {
        $this->__construct($name, $defaultAdvertiser, $defaultPublisher);
    }
    function display()
    {
        $name = $this->_name;
        $oScope = $this->_value;

        $advertiserId = $oScope->getAdvertiserId();
        if (phpAds_isUser(phpAds_Client)) {
            echo "
        <input type='hidden' name='{$name}_advertiser' id='{$name}_advertiser' value='$advertiserId'>";
        } else {
            $dal = new MAX_Dal_Reporting();
            $aAdvertisers = $dal->phpAds_getAdvertiserArray();
            
            echo "
        <select name='{$name}_advertiser' id='{$name}_advertiser' tabindex='" . $this->_tabIndex++ . "'>
            <option value='all'>-- All Advertisers --</option>";
            foreach ($aAdvertisers as $advertiserId=>$aAdvertiser) {
                echo "
            <option value='$advertiserId'>$aAdvertiser</option>";
            }
            echo "
        </select>";
        }
        
        if (!phpAds_isUser(phpAds_Affiliate) && !phpAds_isUser(phpAds_Client)) {
            echo "
        <br /><br />";
        }

        if (phpAds_isUser(phpAds_Affiliate)) {
            echo "
        <input type='hidden' name='{$name}_publisher' id='{$name}_publisher' value='$publisherId'>";
        } else {
            $dal = new MAX_Dal_Reporting();
            $aPublishers = $dal->phpAds_getPublisherArray();
            
            echo "
        <select name='{$name}_publisher' id='{$name}_publisher' tabindex='" . $this->_tabIndex++ . "'>
            <option value='all'>-- All Publishers --</option>";
            foreach ($aPublishers as $publisherId=>$aPublisher) {
                echo "
            <option value='$publisherId'>$aPublisher</option>";
            }
            echo "
        </select>";
        }
    }
    function setValueFromArray($aFieldValues)
    {
        $name = $this->_name;
        $oScope =& $this->_value;
        
        $publisherFieldName = $name . '_publisher';
        $advertiserFieldName = $name . '_advertiser';
        
        if (!empty($aFieldValues[$advertiserFieldName])) {
            $advertiserId = is_numeric($aFieldValues[$advertiserFieldName]) ? $aFieldValues[$advertiserFieldName] : false;
            $oScope->setAdvertiserId($advertiserId);
        }
        if (!empty($aFieldValues[$publisherFieldName])) {
            $publisherId = is_numeric($aFieldValues[$publisherFieldName]) ? $aFieldValues[$publisherFieldName] : false;
            $oScope->setPublisherId($publisherId);
        }
    }
}

?>
