<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: avw.php 4508 2006-03-27 10:33:04Z chris@m3.net $
*/

// Require the initialisation file
require_once '../../init-delivery.php';

// Required files
require_once MAX_PATH . '/lib/max/other/lib-io.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-db.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-view-main.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-remotehost.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-log.inc.php';
require_once MAX_PATH . '/lib/max/Delivery/cache.php';
require_once MAX_PATH . '/lib/max/Delivery/cookie.php';
require_once MAX_PATH . '/lib/max/Delivery/beacon.php';

/*-------------------------------------------------------*/
/* Register input variables                              */
/*-------------------------------------------------------*/

phpAds_registerGlobal (
	'source'
	,'n'
	,'what'
	,'referer'
	,'zoneid'
	,'campaignid'
	,'bannerid'
	,'loc'
);

/*-------------------------------------------------------*/
/* Main code                                             */
/*-------------------------------------------------------*/

if (!isset($n)) {
    $n = 'default';
}
if (!isset($source)) {
    $source = '';
}
if (!isset($what)) {
    if (isset($zoneid)) {
        $what = 'zone:'.$zoneid;
    }
    if (isset($campaignid)) {
        $what = 'campaignid:'.$campaignid;
    }
    if (isset($bannerid)) {
        $what = 'bannerid:'.$bannerid;
    }
    if (!isset($what)) {
        $what = '';
    }
}
if ((!isset($zoneid) or $zoneid == 0)) {
    if (substr($what,0,5) == 'zone:') {
        $zoneid =  intval(substr($what,5));
    } else {
        $zoneid = 0;
    }
}

$source = phpAds_deriveSource($source);

//$loc = (!empty($loc)) ? $loc : $_SERVER['HTTP_REFERER'];

// Remove referer, to be sure it doesn't cause problems with limitations
if (isset($_SERVER['HTTP_REFERER'])) {
    unset($_SERVER['HTTP_REFERER']);
}
if (isset($HTTP_REFERER)) {
    unset($HTTP_REFERER);
}

$richMedia = false;     // This is an image tag - we only need the filename (or URL?) of the image...
$target = '';           // Target cannot be dynamically set in basic tags.
$context = '';          // I am not sure what context does...
$ct0 = '';              // Click tracking should be done using external tags rather than this way...
$withText = 0;          // Cannot write text using a simple tag...
$row = view_raw($what, $target, $source, $withText, $context, $richMedia, $ct0, $GLOBALS['loc'], $GLOBALS['referer']);

if (!empty($row['html'])) {
    // Send bannerid headers
    $cookie = array();
    $cookie[$conf['var']['adId']] = $row['bannerid'];
    // Send zoneid headers
    if ($zoneid != 0) {
    	$cookie[$conf['var']['zoneId']] = $zoneid;
    }
    // Send source headers
    if (!empty($source)) {
    	$cookie[$conf['var']['channel']] = $source;
    }
    // Added code to update the destination URL stored in the cookie to hold the correct random value (Bug # 88)
    global $cookie_random;
    $cookie[$conf['var']['dest']] = str_replace('{random}', $cookie_random, $row['url']);
    // The call to view_raw() above will have tried to log the impression via a beacon,
    // but this type of ad doesn't work with beacons, so the impression must
    // be logged here
    if ($conf['logging']['adImpressions']) {
        $userid = MAX_cookieGetUniqueViewerID();
        MAX_cookieSet($conf['var']['viewerId'], $userid, time()+365*24*60*60);
        logAdImpression($userid, $row['bannerid'], null, $zoneid);
    }
    // Redirect to the banner
    MAX_cookieSet($conf['var']['vars'] . "[$n]", serialize($cookie), 0);
    MAX_cookieFlush();
	header("Location: {$row['html']}");
} else {
	MAX_cookieSet("phpAds_banner[$n]", 'DEFAULT', 0);
	MAX_cookieFlush();
	// Show 1x1 Gif, to ensure not broken image icon is shown.
	MAX_beaconDisplay();
}

// stop benchmarking
stopBenchmark();

?>
