<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: lg.php 4507 2006-03-27 10:32:00Z chris@m3.net $
*/

/**
 * @package    MaxDelivery
 * @author     Scott Switzer <scott@switzer.org>
 */

// Require the initialisation file
require_once '../../init-delivery.php';

// Required files
require_once MAX_PATH . '/lib/max/Delivery.php';
require_once MAX_PATH . '/lib/max/other/lib-log.inc.php';
require_once MAX_PATH . '/lib/max/Delivery/cookie.php';
require_once MAX_PATH . '/lib/max/Delivery/beacon.php';
require_once MAX_PATH . '/lib/max/Delivery/querystring.php';

// Get the remote host info
require_once MAX_PATH . '/lib/max/other/lib-remotehost.inc.php';

// Prevent beacon from being cached by browsers
require_once MAX_PATH . '/lib/max/Delivery/cache.php';

// Remove any special characters
removeSpecialChars($_REQUEST);

// Get the variables
$viewerId   = MAX_cookieGetUniqueViewerID();
$adId       = isset($_REQUEST[$conf['var']['adId']]) ? explode(MAX_DELIVERY_MULTIPLE_DELIMITER, $_REQUEST[$conf['var']['adId']]) : array();
$zoneId     = isset($_REQUEST[$conf['var']['zoneId']]) ? explode(MAX_DELIVERY_MULTIPLE_DELIMITER, $_REQUEST[$conf['var']['zoneId']]) : array();
$creativeId = isset($_REQUEST[$conf['var']['creativeId']]) ? explode(MAX_DELIVERY_MULTIPLE_DELIMITER, $_REQUEST[$conf['var']['creativeId']]) : array();

// Get any capping information from the request array
$capping['block']           = isset($_REQUEST['block']) ? explode(MAX_DELIVERY_MULTIPLE_DELIMITER, $_REQUEST['block']) : array();
$capping['capping']         = isset($_REQUEST['capping']) ? explode(MAX_DELIVERY_MULTIPLE_DELIMITER, $_REQUEST['capping']) : array();
$capping['session_capping'] = isset($_REQUEST['session_capping']) ? explode(MAX_DELIVERY_MULTIPLE_DELIMITER, $_REQUEST['session_capping']) : array();

for ($i=0;$i<count($adId);$i++) {
    $adId[$i] = (!empty($adId)) ? intval($adId[$i]) : 0;
    $zoneId[$i] = (!empty($zoneId)) ? intval($zoneId[$i]) : 0;
    $creativeId[$i] = (!empty($creativeId)) ? intval($creativeId[$i]) : 0;
    
    $iBlock = (!empty($capping['block'][$i])) ? intval($capping['block'][$i]) : 0;
    $iCap = (!empty($capping['capping'][$i])) ? intval($capping['capping'][$i]) : 0;
    $iSession_capping = (!empty($capping['session_capping'][$i])) ? intval($capping['session_capping'][$i]) : 0;
    
    if (($adId[$i] > 0) && ($conf['logging']['adImpressions'])) {
        // Log the impression in the database
        logAdImpression($viewerId, $adId[$i], $creativeId[$i], $zoneId[$i]);
            
        // If this ad is capped, increment the number of times that it has been viewed.
        MAX_cookieSetCapping($adId[$i], $iBlock, $iCap, $iSession_capping);
    }
}

MAX_cookieFlush();
MAX_querystringConvertParams();

if (!empty($_REQUEST[$conf['var']['dest']])) {
    Header("Location: {$_REQUEST[$conf['var']['dest']]}");
} else {
    // Display a 1x1 pixel gif
    MAX_beaconDisplay();
}

// Stop benchmarking
stopBenchmark();

?>
